diff --git a/dlls/rsaenh/rsaenh.c b/dlls/rsaenh/rsaenh.c
index cd474c6..93cb10e 100644
--- a/dlls/rsaenh/rsaenh.c
+++ b/dlls/rsaenh/rsaenh.c
@@ -2561,6 +2561,12 @@ BOOL WINAPI RSAENH_CPGetHashParam(HCRYPT
                 return tls1_prf(hProv, pCryptHash->hKey, &pCryptHash->tpPRFParams.blobLabel,
                                 &pCryptHash->tpPRFParams.blobSeed, pbData, *pdwDataLen);
             }
+	    
+	    if ( pbData == NULL ) {
+		*pdwDataLen = pCryptHash->dwHashSize;
+		TRACE("pbData is NULL got HASHVAL Size of %ld\n",*pdwDataLen);
+		return TRUE;
+	    }
             
             if (pCryptHash->dwState == RSAENH_HASHSTATE_IDLE) {
                 SetLastError(NTE_BAD_HASH_STATE);
